Bug 587824 - MDRaidError: mdcreate failed for /dev/md0
MDRaidError: mdcreate failed for /dev/md0
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
anaconda_trace_hash:4669951fede20b317...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-30 20:21 EDT by rickabillie
Modified: 2010-06-01 07:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-01 07:32:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (469.22 KB, text/plain)
2010-04-30 20:22 EDT, rickabillie
no flags Details
screen shot just before crash (185.76 KB, image/png)
2010-04-30 20:27 EDT, rickabillie
no flags Details
Attached traceback automatically from anaconda. (748.62 KB, text/plain)
2010-04-30 21:04 EDT, rickabillie
no flags Details

  None (edit)
Description rickabillie 2010-04-30 20:21:53 EDT
The following was filed automatically by anaconda:
anaconda 12.46 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devicelibs/mdraid.py", line 137, in mdcreate
    raise MDRaidError("mdcreate failed for %s" % device)
  File "/usr/lib/anaconda/storage/devices.py", line 2551, in create
    spares)
  File "/usr/lib/anaconda/storage/deviceaction.py", line 205, in execute
    self.device.create(intf=intf)
  File "/usr/lib/anaconda/storage/devicetree.py", line 708, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib/anaconda/storage/__init__.py", line 275, in doIt
    self.devicetree.processActions()
  File "/usr/lib/anaconda/packages.py", line 110, in turnOnFilesystems
    anaconda.id.storage.doIt()
  File "/usr/lib/anaconda/dispatch.py", line 200, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 123, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1195, in nextClicked
    self.anaconda.dispatch.gotoNext()
MDRaidError: mdcreate failed for /dev/md0
Comment 1 rickabillie 2010-04-30 20:22:00 EDT
Created attachment 410618 [details]
Attached traceback automatically from anaconda.
Comment 2 rickabillie 2010-04-30 20:27:44 EDT
Created attachment 410622 [details]
screen shot just before crash
Comment 3 rickabillie 2010-04-30 21:04:35 EDT
Created attachment 410625 [details]
Attached traceback automatically from anaconda.
Comment 4 rickabillie 2010-04-30 22:20:58 EDT
booting with nodmraid seems to made it work (thanks autopsy!)
Comment 5 Chris Lumens 2010-05-03 17:53:46 EDT
Is this reproducable with F13 beta?
Comment 6 Hans de Goede 2010-05-04 06:55:35 EDT
Looking at the logs, this was an installation from a livecd on to a system which has 3 drives, which were recognized by dmraid as being a BIOS RAID set, but anaconda did not recognize them as such.

Are (were) your drivers configured inside a promise controller firmware to
be a RAID set ?

Can you please run as root:
blkid -p -o udev /dev/sda
blkid -p -o udev /dev/sdb
blkid -p -o udev /dev/sdc
dmraid -ay -t -vvv

And copy and pastethe output of these commands to a comment ?
Comment 7 Vedran Miletić 2010-05-24 15:43:52 EDT
Fixing version.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 rickabillie 2010-05-26 11:01:44 EDT
Hans, here is the output.

[root@ammenoid ricko]# blkid -p -o udev /dev/sda
[root@ammenoid ricko]# blkid -p -o udev /dev/sdb
[root@ammenoid ricko]# blkid -p -o udev /dev/sdc
[root@ammenoid ricko]# dmraid -ay -t -vvv
WARN: locking /var/lock/dmraid/.lock
WARN: missing dm serial file for /dev/dm-0
NOTICE: /dev/dm-0: asr     discovering
NOTICE: /dev/dm-0: ddf1    discovering
NOTICE: /dev/dm-0: hpt37x  discovering
NOTICE: /dev/dm-0: hpt45x  discovering
NOTICE: /dev/dm-0: isw     discovering
NOTICE: /dev/dm-0: jmicron discovering
NOTICE: /dev/dm-0: lsi     discovering
NOTICE: /dev/dm-0: nvidia  discovering
NOTICE: /dev/dm-0: pdc     discovering
NOTICE: /dev/dm-0: sil     discovering
NOTICE: /dev/dm-0: via     discovering
NOTICE: /dev/sdb: asr     discovering
NOTICE: /dev/sdb: ddf1    discovering
NOTICE: /dev/sdb: hpt37x  discovering
NOTICE: /dev/sdb: hpt45x  discovering
NOTICE: /dev/sdb: isw     discovering
NOTICE: /dev/sdb: jmicron discovering
NOTICE: /dev/sdb: lsi     discovering
NOTICE: /dev/sdb: nvidia  discovering
NOTICE: /dev/sdb: pdc     discovering
NOTICE: /dev/sdb: sil     discovering
NOTICE: /dev/sdb: via     discovering
NOTICE: /dev/sdc: asr     discovering
NOTICE: /dev/sdc: ddf1    discovering
NOTICE: /dev/sdc: hpt37x  discovering
NOTICE: /dev/sdc: hpt45x  discovering
NOTICE: /dev/sdc: isw     discovering
NOTICE: /dev/sdc: jmicron discovering
NOTICE: /dev/sdc: lsi     discovering
NOTICE: /dev/sdc: nvidia  discovering
NOTICE: /dev/sdc: pdc     discovering
NOTICE: /dev/sdc: sil     discovering
NOTICE: /dev/sdc: via     discovering
NOTICE: /dev/sda: asr     discovering
NOTICE: /dev/sda: ddf1    discovering
NOTICE: /dev/sda: hpt37x  discovering
NOTICE: /dev/sda: hpt45x  discovering
NOTICE: /dev/sda: isw     discovering
NOTICE: /dev/sda: jmicron discovering
NOTICE: /dev/sda: lsi     discovering
NOTICE: /dev/sda: nvidia  discovering
NOTICE: /dev/sda: pdc     discovering
NOTICE: /dev/sda: sil     discovering
NOTICE: /dev/sda: via     discovering
no raid disks
WARN: unlocking /var/lock/dmraid/.lock
Comment 9 Hans de Goede 2010-06-01 07:32:24 EDT
Thx for the dmraid output. That is not consistent with my suspicions, but given that you've done a nodmraid install chances are that the dmraid info got wiped of the disks. So I'm going to close this as insufficient info.

If you hit an installation issue next time, if possible please wait until we can gather enough info to pinpoint the issue before working around it.

Note You need to log in before you can comment on or make changes to this bug.